pcl::cuda::PointXYZRGB Struct Reference

Default point xyz-rgb structure. More...

`#include </build/pcl-qv3n_B/pcl-1.8.1+dfsg1/cuda/common/include/pcl/cuda/point_types.h>`

## Public Member Functions

__host__ __device__ | PointXYZRGB ()
__host__ __device__ | PointXYZRGB (float _x, float _y, float _z, int _rgb)
__host__ __device__ bool | operator== (const PointXYZRGB &rhs)
__host__ __device__ | operator float3 () const
const __host__ __device__ PointXYZRGB | operator- (const PointXYZRGB &rhs) const
__host__ __device__ PointXYZRGB & | operator+= (const PointXYZRGB &rhs)
__host__ __device__ PointXYZRGB & | operator-= (const PointXYZRGB &rhs)
__host__ __device__ PointXYZRGB & | operator*= (const PointXYZRGB &rhs)
__host__ __device__ PointXYZRGB & | operator/= (const PointXYZRGB &rhs)

## Public Attributes

union {
float3 xyz
struct {
float x
float y
float z
} |
}; |
RGB | rgb

## Detailed Description

Default point xyz-rgb structure.

Definition at line 49 of file point_types.h.

## Constructor & Destructor Documentation

## PointXYZRGB() [1/2]

__host__ __device__ pcl::cuda::PointXYZRGB::PointXYZRGB | ( |  | ) |

inline

Definition at line 51 of file point_types.h.

## PointXYZRGB() [2/2]

__host__ __device__ pcl::cuda::PointXYZRGB::PointXYZRGB | ( | float | _x,
|  | float | _y,
|  | float | _z,
|  | int | _rgb
| ) |  |

inline

Definition at line 52 of file point_types.h.

## Member Function Documentation

## operator float3()

__host__ __device__ pcl::cuda::PointXYZRGB::operator float3 | ( |  | ) | const

inline

Definition at line 74 of file point_types.h.

References xyz.

## operator*=()

__host__ __device__ PointXYZRGB& pcl::cuda::PointXYZRGB::operator*= | ( | const PointXYZRGB & | rhs | ) |

inline

Definition at line 103 of file point_types.h.

References rgb, and xyz.

Referenced by pcl::cuda::__align__().

## operator+=()

__host__ __device__ PointXYZRGB& pcl::cuda::PointXYZRGB::operator+= | ( | const PointXYZRGB & | rhs | ) |

inline

Definition at line 89 of file point_types.h.

References rgb, and xyz.

Referenced by pcl::cuda::__align__().

## operator-()

const __host__ __device__ PointXYZRGB pcl::cuda::PointXYZRGB::operator- | ( | const PointXYZRGB & | rhs | ) | const

inline

Definition at line 79 of file point_types.h.

Referenced by pcl::cuda::__align__().

## operator-=()

__host__ __device__ PointXYZRGB& pcl::cuda::PointXYZRGB::operator-= | ( | const PointXYZRGB & | rhs | ) |

inline

Definition at line 96 of file point_types.h.

References rgb, and xyz.

Referenced by pcl::cuda::__align__().

## operator/=()

__host__ __device__ PointXYZRGB& pcl::cuda::PointXYZRGB::operator/= | ( | const PointXYZRGB & | rhs | ) |

inline

Definition at line 110 of file point_types.h.

References rgb, and xyz.

Referenced by pcl::cuda::__align__().

## operator==()

__host__ __device__ bool pcl::cuda::PointXYZRGB::operator== | ( | const PointXYZRGB & | rhs | ) |

inline

Definition at line 68 of file point_types.h.

References rgb, x, y, and z.

Referenced by pcl::cuda::__align__().

## Member Data Documentation

## @63

union { ... }

## rgb

RGB pcl::cuda::PointXYZRGB::rgb

Definition at line 66 of file point_types.h.

Referenced by pcl::cuda::__align__(), pcl::cuda::SetColor::operator()(), pcl::cuda::ChangeColor::operator()(), operator*=(), operator+=(), operator-=(), operator/=(), and operator==().

## x

float pcl::cuda::PointXYZRGB::x

Definition at line 61 of file point_types.h.

Referenced by pcl::cuda::__align__(), pcl::cuda::isNaNPoint::operator()(), and operator==().

## xyz

float3 pcl::cuda::PointXYZRGB::xyz

Definition at line 58 of file point_types.h.

Referenced by pcl::cuda::__align__(), operator float3(), operator*=(), operator+=(), operator-=(), and operator/=().

## y

float pcl::cuda::PointXYZRGB::y

Definition at line 62 of file point_types.h.

Referenced by pcl::cuda::__align__(), pcl::cuda::isNaNPoint::operator()(), and operator==().

## z

float pcl::cuda::PointXYZRGB::z

Definition at line 63 of file point_types.h.

Referenced by pcl::cuda::__align__(), pcl::cuda::isNaNPoint::operator()(), pcl::cuda::FastNormalEstimationKernel< Storage >::operator()(), and operator==().

The documentation for this struct was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/cuda/common/include/pcl/cuda/point_types.h